/****************************************************************
    Project:                    Rapport Modular System
    This File:                  os_dos.h
    Last updated:               %U% %G%
    Version:                    %R%.%L%
    Last checked out:           %T% %H%
Copyright (c) 1993-1999 Rapport Limited. All rights reserved.
****************************************************************/


/*******************************
This version for:
  Machine:     IBM PC,
  Compiler:    Watcom,
  Environment: DOS,
*******************************/


/*** Avoid multiple includes ***/

#ifndef RMS_OS_DOS_DOT_H
#define RMS_OS_DOS_DOT_H


/*** Standard C Libraries to include ***/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <sys\stat.h>
#include <direct.h>

/*
#include <sys\types.h>
#include <time.h>
#include <sys\timeb.h>
*/


/*** Platform Independent System ***/

#include "pim.h"


/*** RMS Support Libraries ***/

#include "fio_os.h"


/******************** User Config Section ********************/

#if PIM_PLATFORM != PIM_DOS
#error wrong PIM_PLATFORM
#endif


/******************** File OS Device Module ********************/

/*** define's ***/

#define RMS_FILE_OS_DOS_FILENAME_LENGTH    8
#define RMS_FILE_OS_DOS_EXTENSION_LENGTH   3



/*** macro's ***/


/*** typedef's ***/

typedef struct RMS_File_OS_Pars
{
  FILE  *filepointer;

} RMS_File_OS_Pars;


/*** prototype's ***/

PIM_Boolean RMS_File_OS_Reformat_ToNative(char *filename);
PIM_Boolean RMS_File_OS_Reformat_UNIX(char *filename);

#endif
